package org.springblade.common.upyzt.exception;

public class InvalidRequestException extends UpyztException {

    private static final long serialVersionUID = 1L;

    public InvalidRequestException(String message) {
        super(message);
    }

    public InvalidRequestException(String message, Throwable e) {
        super(message, e);
    }

    public InvalidRequestException(String message, String code, String field, String issue, int statusCode, Throwable e) {
        super(message, code, field, issue, statusCode, e);
    }

    public InvalidRequestException(String message, String code, String field, String issue, int statusCode, String reqId) {
        super(message, code, field, issue, statusCode, reqId);
    }
}
